<?
	$this->headScript()
		->appendFile(_st('comments-v2.js'), 'text/javascript')
		->appendScript('Cubix.Comments.lng = "' . $this->lang() . '"')
		->appendScript('Cubix.Comments.is_member = "' . $this->is_member . '"')
		->appendScript('Cubix.Comments.is_escort = "' . $this->is_escort . '"');
?>

<style type="text/css">
	#profile-wrapper {
		margin: 0 0 30px 0;
	}
</style>

<script type="text/javascript">
Cubix.CommentsInner = {};

Cubix.CommentsInner.LoadComments = function (params) {
	var comments_container = $('comments_container');

	var overlay = new Cubix.Overlay(comments_container, {
		loader: _st('loader-small.gif'),
		position: '50%'
	});
	overlay.disable();
	new Request({
		url:  '/comments',
		method: 'get',
		evalScripts: true,
		data: $merge({  ajax: 1 }, params || {}),
		onSuccess: function (resp) {
			comments_container.set('html','');
            comments_container.set('html',resp);

			Cubix.Escorts.initProfiles();
		}
	}).send();

	return false;
}

Cubix.CommentsInner.LoadEscortComments = function (params) {
	var escort_container = params.obj;
    delete params.obj;

	var overlay = new Cubix.Overlay(escort_container, {
		loader: _st('loader-small.gif'),
		position: '50%'
	});

	overlay.disable();
    
	new Request({
		url:  '/escortcomments',
		method: 'get',
		evalScripts: true,
		data: $merge({  ajax: 1 }, params || {}),
		onSuccess: function (resp) {
			escort_container.set('html','');
            escort_container.set('html',resp);
		}
	}).send();
	return false;
}
</script>
<div id="comments_container" >

	<div class="clear"></div>
	<div class="latestCommentsTitle">
		<p class="cufon-title lc-comments"><?= __('lc_latest_comments') ?></p>
	</div>
	<div class="clear"></div>

<?

if ( count($this->comments) > 0 ): ?>
	<? foreach ($this->comments as $comment): ?>
    <div class="latestComments" >
		<div class="latestCommentsItem">
             <div class="fl w685 comms">
                <? if ( count($comment['comments']) > 0 ): ?>

                    <? foreach ($comment['comments'] as $escortComment): ?>
                            <div class="commentItem">
								<span class="date"><?= date("d.m.Y | H:i", strtotime($escortComment->time)); ?></span> <span class="user-info strong"><?= __('lc_posted_by') ?>:
								<? if(strtolower($escortComment->username) != MODEL_COMMENTS::SITEADMIN_USERNAME): ?>
								<a href="<?= $this->getLink('member-info',array('username'=> $escortComment->username )) ?>" style="color:#000"><?= $escortComment->username ?></a> (<?= $escortComment->comments_count ?> <?= __('lc_comments') ?>)
								<? else: ?>
								<span class="red"><?= $escortComment->username ?></span>
								<? endif;?>
								</span>
								<div class="comment-text"><?= $escortComment->message; ?></div>
                            </div>
                    <? endforeach; ?>

                <? endif?>
            </div>

			<div class="fl photo">
				<a rel="<?= $comment['escort']['escort_id'] ?>" class="show-escort-profile">
					<img src="<?= $comment['escort']['photo'] ?>" style="width:153px; height:235px;"  /><br />
				</a>
				<? if(isset($escortComment['showmore'])): ?>
					<a onclick="return Cubix.CommentsInner.LoadEscortComments({ showname: '<?= $comment['escort']['showname'] ?>',obj: this.getParent('div').getPrevious('div.comms') })" href="#" class="moreComments"><?= __('lc_more_comments') ?></a>
				<? endif;?>
			</div>

            <div class="clear"></div>


		</div>


		<?= $this->listProfile($comment['comments'][0]['profile_data']); ?>

		<div class="c-sep"></div>
		<div class="clear"></div>

    </div>
	<? endforeach; ?>

	<div class="clear"></div>

	<?php $pages_count = ceil($this->count / $this->per_page);
  
    ?>
	<? if ($pages_count > 1): ?>
    <p class="bubble-paging padding10">
		<?php if($pages_count != 1): ?>			
				<?  $pages = $this->paging($this->count, $this->page, $this->per_page, 3, 1); ?>
				<? if ( 1 < $this->page): ?>
					<a class="prev" href="#" onclick="return Cubix.CommentsInner.LoadComments({ page: <?= $this->page - 1 ?> })"></a>
				<? endif ?>

				<? foreach ( $pages as $page ): ?>
					<? if ( $this->page == $page ): ?>
						<span><?= $page ?></span>
					<? else: ?>
						<a class="p" href="#" onclick="return Cubix.CommentsInner.LoadComments({ page: <?= $page ?> })"><?= $page ?></a>
					<? endif ?>
				<? endforeach; ?>

				<? if ( $pages_count > $this->page): ?>
					<a class="next" href="#" onclick="return Cubix.CommentsInner.LoadComments({ page: <?= $this->page + 1 ?> })"></a>
				<? endif ?>			
		<?php endif;?>
	</p>
	<? endif; ?>
    <div class="clear"></div>
<? else: ?>
<p class="no-lc"><?= $this->t('lc_no_comment') ?></p>
<?php endif; ?>
</div>